Package net.snowflake.client.jdbc

## Annotation Type SnowflakeColumn

    @Target(FIELD)
    @Retention(RUNTIME)
    public @interface SnowflakeColumn

### Optional Element Summary

Optional Elements
`int` `byteLength` (Optional) The length for a column of SQL type `binary`, or of similar database-native type.
`int` `length` (Optional) The length for a column of SQL type `varchar` or `binary`, or of similar database-native type.
`String` `name` (Optional) The name for a column in database,
`boolean` `nullable` (Optional) The snowflake nullable flag for a column
`int` `precision` (Optional) The precision for a column of SQL type `decimal` or `numeric`, or of similar database-native type.
`int` `scale` (Optional) The scale for a column of SQL type `decimal` or `numeric`, or of similar database-native type.
`String` `type` (Optional) The snowflake type for a column

### Element Detail

#### name

    String name

(Optional) The name for a column in database,

Returns:
  The default value is empty string. Provided name can override SqlData field name.

Default:
  ""

#### type

    String type

(Optional) The snowflake type for a column

Returns:
  The default value is empty string Provided type can override default type.

Default:
  ""

#### nullable

    boolean nullable

(Optional) The snowflake nullable flag for a column

Returns:
  The default value is true Provided value can override default nullable value.

Default:
  true

#### length

    int length

(Optional) The length for a column of SQL type `varchar` or `binary`, or of similar database-native type.

Applies only to columns of exact varchar and binary type.

Returns:
  The default value `-1` indicates that a provider-determined length should be inferred.

Default:
  -1

#### byteLength

    int byteLength

(Optional) The length for a column of SQL type `binary`, or of similar database-native type.

Applies only to columns of exact varchar and binary type.

Returns:
  The default value `-1` indicates that a provider-determined byteLength should be inferred.

Default:
  -1

#### precision

    int precision

(Optional) The precision for a column of SQL type `decimal` or `numeric`, or of similar database-native type.

Applies only to columns of exact numeric type.

Returns:
  The default value `-1` indicates that a provider-determined precision should be inferred.

Default:
  -1

#### scale

    int scale

(Optional) The scale for a column of SQL type `decimal` or `numeric`, or of similar database-native type.

Applies only to columns of exact numeric type.

Returns:
  The default value `0` indicates that a provider-determined scale should be inferred.

Default:
  -1